#!/bin/sh

HW=hw1
PROGRAM=./bab36prga-$HW-genref

if [ "$1" = "-osx" ]
then
   echo "Build for osx has been selected."
   PROGRAM=./bab36prga-$HW-genref-osx-intel
fi



mkdir -p files
for i in `seq 1 4`
do
   PROBLEM=files/$HW-$i
   echo "Generate random input '$PROBLEM.in'"
   $PROGRAM -generate > $PROBLEM.in 2>/dev/null
   echo "Solve '$PROBLEM.in' and store the reference solution to '$PROBLEM.out'"
   $PROGRAM < $PROBLEM.in > $PROBLEM.out 2>$PROBLEM.err
done
